<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Especificacoes_model extends App_Model
{
    private $table = 'especificacoes';

    public function __construct()
    {
        parent::__construct();
    }

    public function get($id = false)
    {
        $this->db->select('id, name, item_group_id, perfex_saas_tenant_id');
        if (is_numeric($id)) {
            $this->db->where('id', $id);
            return $this->db->get(db_prefix() . $this->table)->row();
        }
        return $this->db->get(db_prefix() . $this->table)->result_array();
    }

    public function add($data)
    {
        unset($data['especificacaoid']);
        $this->db->insert(db_prefix() . $this->table, $data);
        $insert_id = $this->db->insert_id();
        if ($insert_id) {
            log_activity('New Especificação Added [ID: ' . $insert_id . ']');
            return $insert_id;
        }
        return false;
    }

    public function edit($id, $data)
    {
        unset($data['especificacaoid']);
        $this->db->where('id', $id);
        $this->db->update(db_prefix() . $this->table, $data);
        if ($this->db->affected_rows() > 0) {
            log_activity('Especificação Updated [ID: ' . $id . ']');
            return true;
        }
        return false;
    }

    public function delete($id)
    {
        $this->db->where('id', $id);
        $this->db->delete(db_prefix() . $this->table);
        if ($this->db->affected_rows() > 0) {
            log_activity('Especificação Deleted [ID: ' . $id . ']');
            return true;
        }
        return false;
    }
}